//#include "DIALOGS\Thug_dialog.h"
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	string iDay, iMonth;
	iDay = environment.date.day;
	iMonth = environment.date.month;
	string lastspeak_date = iday + " " + iMonth;

	ref PChar;
	PChar = GetMainCharacter();


	switch(Dialog.CurrentNode)
	{
		// -----------------------------------  -  
		case "First time":

			Dialog.defAni = "dialog_stay1";
			Dialog.defCam = "1";
			Dialog.defSnd = "dialogs\0\017";
			Dialog.defLinkAni = "dialog_1";
			Dialog.defLinkCam = "1";
			Dialog.defLinkSnd = "dialogs\woman\024";
			Dialog.ani = "dialog_stay2";
			Dialog.cam = "1";
			Dialog.snd = "voice\THDI\THDI001";

			dialog.text = DLG_TEXT[0];
			link.l1 = DLG_TEXT[1];
			link.l1.go = "Exit";
			link.l2 = DLG_TEXT[2];
			link.l2.go = "room";
			link.l3 = DLG_TEXT[10];
			link.l3.go = "errands";

		break;

		case "room":
			string roomWait = "";
			dialog.snd = "Voice\CHWI\CHWI012";
			dialog.text = DLG_TEXT[3];
			if (makeint(environment.time) >= 22.0 || makeint(environment.time) < 10.0)
			{
				roomWait = "eveningwait";
				link.l1 = DLG_TEXT[4];
				link.l1.go = "room_day_wait";
			}
			else
			{
				roomWait = "daywait";
				link.l1 = DLG_TEXT[5];
				link.l1.go = "room_night_wait";
			}
			link.l2 = XI_ConvertString("Until tomorrow") + " " + XI_ConvertString(roomWait) + ".";
			link.l2.go = "room_24_wait";
			link.l3 = DLG_TEXT[6];
			link.l3.go = "1hr";
			link.l4 = DLG_TEXT[7];
			link.l4.go = "3hr";
			link.l5 = DLG_TEXT[8];
			link.l5.go = "8hr";
			link.l6 = DLG_TEXT[9];
			link.l6.go = "Exit";
		break;

		case "room_24_wait":
			DialogExit();
			NextDiag.CurrentNode =  NextDiag.TempNode;
			AddDialogExitQuest("hubengsleep");
			WaitDate("",0,0,0,24,1);
			RecalculateJumpTable();
		break;

		case "room_night_wait":
			DialogExit();
			NextDiag.CurrentNode = NextDiag.TempNode;
			AddDialogExitQuest("hubengsleep");
			TavernWaitDate2("wait_night");
		break;

		case "room_day_wait":
			DialogExit();
			NextDiag.CurrentNode = NextDiag.TempNode;
			AddDialogExitQuest("hubengsleep");
			TavernWaitDate2("wait_day");
		break;

		case "1hr":
			DialogExit();
			//LAi_Fade("", "");
			AddDialogExitQuest("hubengsleep");
			WaitDate("", 0,0,0,1,0);
		break;
		
		case "3hr":
			DialogExit();
			//LAi_Fade("", "");
			AddDialogExitQuest("hubengsleep");
			WaitDate("", 0,0,0,3,0);
		break;
		
		case "8hr":
			DialogExit();
			//LAi_Fade("", "");
			AddDialogExitQuest("hubengsleep");
			WaitDate("", 0,0,0,8,0);
		break;

		case "errands":
			Dialog.text = DLG_TEXT[11];
			link.l1 = DLG_TEXT[12];
			link.l1.go = "trade";
			link.l2 = DLG_TEXT[15];
			link.l2.go = "items";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "shipyard";
			link.l4 = DLG_TEXT[16];
			link.l4.go = "crew hire";
			link.l5 = DLG_TEXT[18];
			link.l5.go = "hire_officer";
			link.l6 = DLG_TEXT[30];
			link.l6.go = "gather_information";
			link.l7 = DLG_TEXT[32];
			link.l7.go = "propaganda";
			link.l8 = DLG_TEXT[9];
			link.l8.go = "Exit";
		break;

		case "trade":
			if (makeint(environment.time) >= 22.0 || makeint(environment.time) < 6.0)
			{
				//dialog.snd = "Voice\CHWI\CHWI011";
				Dialog.text = DLG_TEXT[13];
				link.l1 = DLG_TEXT[14];
				link.l1.go = "room_day_wait";
				link.l2 = DLG_TEXT[9];
				link.l2.go = "Exit";
			}
			else
			{
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			PChar.storekeeper.Idx = sti(NPChar.index);//MAXIMUS
			LaunchStore(GetCurrentStore(NPChar.location));
			}
		break;

		case "items":
			if (makeint(environment.time) >= 22.0 || makeint(environment.time) < 6.0)
			{
				//dialog.snd = "Voice\CHWI\CHWI011";
				Dialog.text = DLG_TEXT[13];
				link.l1 = DLG_TEXT[14];
				link.l1.go = "room_day_wait";
				link.l2 = DLG_TEXT[9];
				link.l2.go = "Exit";
			}
			else
			{
			NextDiag.CurrentNode = NextDiag.TempNode;
			//NPChar.quest.meeting = NPC_Meeting;
			DialogExit();
			LaunchItemsTrade(NPChar);
			}
		break;

		case "shipyard":
			if (makeint(environment.time) >= 22.0 || makeint(environment.time) < 6.0)
			{
				//dialog.snd = "Voice\CHWI\CHWI011";
				Dialog.text = DLG_TEXT[13];
				link.l1 = DLG_TEXT[14];
				link.l1.go = "room_day_wait";
				link.l2 = DLG_TEXT[9];
				link.l2.go = "Exit";
			}
			else
			{
			NextDiag.CurrentNode = NextDiag.TempNode;

			if (npchar.quest.Meeting != lastspeak_date)
			{
				FillShipsList(&NPChar); // NK

				npchar.quest.Meeting = lastspeak_date;
			}
		
			DialogExit();
			LaunchShipyard(Npchar);
			}
		break;

		case "crew hire":
			if (makeint(environment.time) > 22.0 || makeint(environment.time) < 10.0)
			{
				dialog.snd = "Voice\CHWI\CHWI011";
				Dialog.text = DLG_TEXT[17];
				link.l1 = DLG_TEXT[14];
				link.l1.go = "room_day_wait";
				link.l2 = DLG_TEXT[9];
				link.l2.go = "Exit";
			}
			else
			{
				NextDiag.CurrentNode = NextDiag.TempNode;
				DialogExit();
				LaunchHireCrew();
			}
		break;

		case "Hire_Officer":
			dialog.Text = DLG_TEXT[19];
			Link.l1 = DLG_TEXT[20];
			Link.l1.go = "Find_Boatswain";
			Link.l2 = DLG_TEXT[21];
			Link.l2.go = "Find_Cannoneer";
			Link.l3 = DLG_TEXT[22];
			Link.l3.go = "Find_Quartermaster";
			Link.l4 = DLG_TEXT[23];
			Link.l4.go = "Find_Navigator";
			Link.l5 = DLG_TEXT[24];
			Link.l5.go = "Find_FirstMate";
			Link.l6 = DLG_TEXT[25];
			Link.l6.go = "Find_Carpenter";
			Link.l7 = DLG_TEXT[26];
			Link.l7.go = "Find_Doctor";
			Link.l8 = DLG_TEXT[27];
			Link.l8.go = "Find_DeckFighter";
			Link.l9 = DLG_TEXT[9];
			Link.l9.go = "exit";
		break;

		case "Find_Boatswain":
			NPChar.last_hire = lastspeak_date;
			dialog.Text = DLG_TEXT[28];
			Link.l1 = DLG_TEXT[29];
			Link.l1.go = "exit";
			CreateOfficerType(OFFIC_TYPE_BOATSWAIN, sti(PChar.skill.Leadership));
		break;

		case "Find_Cannoneer":
			NPChar.last_hire = lastspeak_date;
			dialog.Text = DLG_TEXT[28];
			Link.l1 = DLG_TEXT[29];
			Link.l1.go = "exit";
			CreateOfficerType(OFFIC_TYPE_CANNONEER, sti(PChar.skill.Leadership));
		break;

		case "Find_Quartermaster":
			NPChar.last_hire = lastspeak_date;
			dialog.Text = DLG_TEXT[28];
			Link.l1 = DLG_TEXT[29];
			Link.l1.go = "exit";
			CreateOfficerType(OFFIC_TYPE_QMASTER, sti(PChar.skill.Leadership));
		break;

		case "Find_Navigator":
			NPChar.last_hire = lastspeak_date;
			dialog.Text = DLG_TEXT[28];
			Link.l1 = DLG_TEXT[29];
			Link.l1.go = "exit";
			CreateOfficerType(OFFIC_TYPE_NAVIGATOR, sti(PChar.skill.Leadership));
		break;

		case "Find_FirstMate":
			NPChar.last_hire = lastspeak_date;
			dialog.Text = DLG_TEXT[28];
			Link.l1 = DLG_TEXT[29];
			Link.l1.go = "exit";
			CreateOfficerType(OFFIC_TYPE_FIRSTMATE, sti(PChar.skill.Leadership));
		break;

		case "Find_Carpenter":
			NPChar.last_hire = lastspeak_date;
			dialog.Text = DLG_TEXT[28];
			Link.l1 = DLG_TEXT[29];
			Link.l1.go = "exit";
			CreateOfficerType(OFFIC_TYPE_CARPENTER, sti(PChar.skill.Leadership));
		break;

		case "Find_Doctor":
			NPChar.last_hire = lastspeak_date;
			dialog.Text = DLG_TEXT[28];
			Link.l1 = DLG_TEXT[29];
			Link.l1.go = "exit";
			CreateOfficerType(OFFIC_TYPE_DOCTOR, sti(PChar.skill.Leadership));
		break;

		case "Find_DeckFighter":
			NPChar.last_hire = lastspeak_date;
			dialog.Text = DLG_TEXT[28];
			Link.l1 = DLG_TEXT[29];
			Link.l1.go = "exit";
			CreateOfficerType(OFFIC_TYPE_ABORDAGE, sti(PChar.skill.Leadership));
		break;

	    	case "gather_information":
    			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			LaunchNews();
		break;

		case "propaganda":
			dialog.Text = DLG_TEXT[33];
			if (makeint(pchar.money) < 10000)
			{
				Link.l1 = DLG_TEXT[34];
				Link.l1.go = "Exit";
			}
			else
			{
				Link.l1 = DLG_TEXT[35];
				Link.l1.go = "propagandapaid";
				Link.l2 = DLG_TEXT[9];
				Link.l2.go = "exit";
			}
		break;

		case "propagandapaid":
			//dialog.snd = "Voice\FATB\FATB046";
		   	PlayStereoSound("INTERFACE\took_item.wav");
			AddMoneyToCharacter(pchar, -10000);
			ChangeCharacterReputation(PChar, 2)
			//AddMoneyToCharacter(pchar, -10000 * makeint(sqrt(sqrt(makeint(pchar.rank)^5))));
			//pchar.quest.donate = makeint(pchar.quest.donate) + 10000 * makeint(sqrt(sqrt(makeint(pchar.rank)^5)));
			//AddDialogExitQuest("donation");
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;

		case "Exit":

			DialogExit();
			NextDiag.CurrentNode = NextDiag.TempNode;

		break;
	}
}
